FROM dimti/workspace:7.4

###########################################################################
# Laradock non-root user:
###########################################################################

ARG PUID=1000
ENV PUID ${PUID}
ARG PGID=1000
ENV PGID ${PGID}

RUN usermod -u ${PUID} laradock && groupmod -g ${PGID} laradock

RUN chown -R ${PUID}:${PGID} /home/laradock

###########################################################################
# Set Timezone
###########################################################################

ARG TZ=Europe/Moscow
ENV TZ ${TZ}

RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone

###########################################################################
# Additional PHP-extensions:
###########################################################################

#RUN pecl install igbinary && pecl install -a redis
RUN pecl install -a redis

RUN echo "extension=redis.so" > /etc/php/7.4/cli/conf.d/20-redis.ini

###########################################################################
# S3 config
###########################################################################

USER laradock

COPY ./minio/auth.json /home/laradock/.mc/config.json

###########################################################################
# Crontab
###########################################################################

USER root

COPY ./crontab74 /etc/cron.d

RUN chmod -R 644 /etc/cron.d
